#ifndef BINDSITE_H
#define BINDSITE_H
#include "libheader.h"

class BindSite {
public:
  BindSite(const short position, const bool posStrain);	//constructor
  ~BindSite();							//destructor
  
/*****************************************************************************/
/*                                                                           */
/* Pub 1 Access Attributes                                                   */
/*                                                                           */
/*****************************************************************************/

  //get the position
  const short getPosition();
  //check if it is in the positive strain
  const bool isPosStrain();
  
/*****************************************************************************/
/*                                                                           */
/* Pub 2 Algorithms                                                          */
/*                                                                           */
/*****************************************************************************/

/*****************************************************************************/
/*                                                                           */
/* Pub 3 Parameters                                                          */
/*                                                                           */
/*****************************************************************************/  
  
private:
/*****************************************************************************/
/*                                                                           */
/* Pri 1 Algorithms                                                          */
/*                                                                           */
/*****************************************************************************/
  
/*****************************************************************************/
/*                                                                           */
/* Pri 2 Parameters                                                          */
/*                                                                           */
/*****************************************************************************/
  short position;
  bool posStrain;
};

#endif

